// FILENAME:      OV_Cauldron.cs
// AUTHORS:       [OF] Pincushion
// VERSION:       3.0
// LAST UPDATED:  Feb 14, 2000
// DESCRIPTION:
// This is an Overrun mission.  It requires multiplayer/OVStdLib.cs.
// Wave after wave of attackers will try to destroy your turrets, your
// generators, your radar, and you.  The object: survive.
// See http://www.geocities.com/SoHo/Nook/9351/maps/index.html for more info.
//------------------------------------------------------------------------------

$missionName = "OV_Cauldron";

exec("multiplayerStdLib.cs");
exec("OVStdLib.cs");

function onMissionStart()
{
	venusSounds();
	OVMissionStart();
}

function onMissionLoad()
{
	cdAudioCycle("Watching", "Cyberntx", "Cloudburst"); 

	// AI Attackers: 1 = Cybrid, 2 = Human, 3 = mixed.
	$OVattackerTech = 1;

	// Drop zones. Set an entry to 0 to disable drops from that direction.
	// Non-zero integer values indicate relative frequency.
	// Eg. setting $OVdz[0]=3 $OVdz[4]=1 and all the rest to 0 will cause
	// 3 out of 4 drops to be north of the base.
	// 0=N, 1=NE, 2=E, 3=SE, 4=S, 5=SW, 6=W, 7=NW
	$OVdz[0]=1; $OVdz[1]=1; $OVdz[2]=1; $OVdz[3]=1;
	$OVdz[4]=1; $OVdz[5]=1; $OVdz[6]=1; $OVdz[7]=1;

	OVMissionLoad();
}

// Teleport to platform
function teleport::trigger::onContact(%this, %object)
{
	%X = getPosition(%object, x);
	%Y = getPosition(%object, y);
	%Z = getPosition(%object, z);
	//say(0,0,"you are at "@%X@","@%Y@","@%Z);
	%X = %X + RandomInt(-30,30);
	%Z = %Z + 50;
	//say(0,0,"teleporting to "@%X@","@%Y@","@%Z);
	setPosition(%object, %X, %Y, %Z);
	playSound(0, IDSFX_TELEPORTER, IDPRF_NEAR, %object);
	playSound(0, IDSFX_TELEPORTER, IDPRF_NEAR, %X, %Y, %Z);
}
